diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/pie-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/pie-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/pie-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/pie-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -21,9 +21,9 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Pie Queue Disc Test Item
+ * @brief Pie Queue Disc Test Item
  */
 class PieQueueDiscTestItem : public QueueDiscItem
 {
@@ -31,9 +31,9 @@
     /**
      * Constructor
      *
-     * \param p the packet
-     * \param addr the address
-     * \param ecnCapable ECN capable flag
+     * @param p the packet
+     * @param addr the address
+     * @param ecnCapable ECN capable flag
      */
     PieQueueDiscTestItem(Ptr<Packet> p, const Address& addr, bool ecnCapable);
 
@@ -86,9 +86,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Pie Queue Disc Test Case
+ * @brief Pie Queue Disc Test Case
  */
 class PieQueueDiscTestCase : public TestCase
 {
@@ -99,10 +99,10 @@
   private:
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
-     * \param testAttributes attributes for testing
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
+     * @param testAttributes attributes for testing
      */
     void Enqueue(Ptr<PieQueueDisc> queue,
                  uint32_t size,
@@ -110,10 +110,10 @@
                  Ptr<PieQueueDiscTestItem> testAttributes);
     /**
      * Enqueue with delay function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
-     * \param testAttributes attributes for testing
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
+     * @param testAttributes attributes for testing
      */
     void EnqueueWithDelay(Ptr<PieQueueDisc> queue,
                           uint32_t size,
@@ -121,38 +121,38 @@
                           Ptr<PieQueueDiscTestItem> testAttributes);
     /**
      * Dequeue function
-     * \param queue the queue disc
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param nPkt the number of packets
      */
     void Dequeue(Ptr<PieQueueDisc> queue, uint32_t nPkt);
     /**
      * Dequeue with delay function
-     * \param queue the queue disc
-     * \param delay the delay
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param delay the delay
+     * @param nPkt the number of packets
      */
     void DequeueWithDelay(Ptr<PieQueueDisc> queue, double delay, uint32_t nPkt);
     /**
      * Run test function
-     * \param mode the test mode
+     * @param mode the test mode
      */
     void RunPieTest(QueueSizeUnit mode);
     /**
-     * \brief Check Drop Probability
-     * \param queue the queue disc
-     * \param testAttributes attributes for testing
+     * @brief Check Drop Probability
+     * @param queue the queue disc
+     * @param testAttributes attributes for testing
      */
     void CheckDropProb(Ptr<PieQueueDisc> queue, Ptr<PieQueueDiscTestItem> testAttributes);
     /**
-     * \brief Check Accumulated Drop Probability
-     * \param queue the queue disc
-     * \param testAttributes attributes for testing
+     * @brief Check Accumulated Drop Probability
+     * @param queue the queue disc
+     * @param testAttributes attributes for testing
      */
     void CheckAccuProb(Ptr<PieQueueDisc> queue, Ptr<PieQueueDiscTestItem> testAttributes);
     /**
-     * \brief Check Maximum Accumulated Drop Probability
-     * \param queue the queue disc
-     * \param testAttributes attributes for testing
+     * @brief Check Maximum Accumulated Drop Probability
+     * @param queue the queue disc
+     * @param testAttributes attributes for testing
      */
     void CheckMaxAccuProb(Ptr<PieQueueDisc> queue, Ptr<PieQueueDiscTestItem> testAttributes);
 };
@@ -291,7 +291,7 @@
     queue->Initialize();
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.012, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     QueueDisc::Stats st = queue->GetStats();
     uint32_t test2 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -324,7 +324,7 @@
     queue->Initialize();
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.012, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test3 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -357,7 +357,7 @@
     queue->Initialize();
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.015, 400); // delay between two successive dequeue events is increased
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test4 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -390,7 +390,7 @@
     queue->Initialize();
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.015, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test5 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -414,7 +414,7 @@
     queue->Initialize();
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test6 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -438,7 +438,7 @@
     testAttributes->m_checkProb = true;
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test7 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -465,7 +465,7 @@
     testAttributes->m_checkProb = true;
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test8 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -495,7 +495,7 @@
     queue->Initialize();
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test9 = st.GetNMarkedPackets(PieQueueDisc::UNFORCED_MARK);
@@ -525,7 +525,7 @@
     testAttributes->m_ecnCapable = true;
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test10 = st.GetNMarkedPackets(PieQueueDisc::UNFORCED_MARK);
@@ -556,7 +556,7 @@
     testAttributes->m_checkProb = true;
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test11 = st.GetNMarkedPackets(PieQueueDisc::UNFORCED_MARK);
@@ -589,7 +589,7 @@
     testAttributes->m_checkAccuProb = true;
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test12 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -619,7 +619,7 @@
     testAttributes->m_setAccuProb = -0.16;
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test13 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -636,7 +636,7 @@
         queue->SetAttributeFailSafe("MaxSize", QueueSizeValue(QueueSize(mode, qSize))),
         true,
         "Verify that we can actually set the attribute MaxSize");
-    NS_TEST_ASSERT_MSG_EQ(queue->SetAttributeFailSafe("MaxBurstAllowance", TimeValue(Seconds(0.0))),
+    NS_TEST_ASSERT_MSG_EQ(queue->SetAttributeFailSafe("MaxBurstAllowance", TimeValue(Seconds(0))),
                           true,
                           "Verify that we can actually set the attribute MaxBurstAllowance");
     NS_TEST_ASSERT_MSG_EQ(queue->SetAttributeFailSafe("UseDerandomization", BooleanValue(true)),
@@ -650,7 +650,7 @@
     testAttributes->m_setAccuProb = 8.6;
     EnqueueWithDelay(queue, pktSize, 400, testAttributes);
     DequeueWithDelay(queue, 0.014, 400);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test14 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -673,7 +673,7 @@
 
     EnqueueWithDelay(queue, pktSize, 100, testAttributes);
     DequeueWithDelay(queue, 0.02, 100);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test15 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -693,7 +693,7 @@
 
     EnqueueWithDelay(queue, pktSize, 100, testAttributes);
     DequeueWithDelay(queue, 0.02, 100);
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
     st = queue->GetStats();
     uint32_t test16 = st.GetNDroppedPackets(PieQueueDisc::UNFORCED_DROP);
@@ -790,7 +790,7 @@
     double delay = 0.01; // enqueue packets with delay
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &PieQueueDiscTestCase::Enqueue,
                             this,
                             queue,
@@ -814,7 +814,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &PieQueueDiscTestCase::Dequeue,
                             this,
                             queue,
@@ -831,9 +831,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Pie Queue Disc Test Suite
+ * @brief Pie Queue Disc Test Suite
  */
 static class PieQueueDiscTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/prio-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/prio-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/prio-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/prio-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -23,9 +23,9 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Prio Queue Disc Test Item
+ * @brief Prio Queue Disc Test Item
  */
 class PrioQueueDiscTestItem : public QueueDiscItem
 {
@@ -33,9 +33,9 @@
     /**
      * Constructor
      *
-     * \param p the packet
-     * \param addr the address
-     * \param priority the packet priority
+     * @param p the packet
+     * @param addr the address
+     * @param priority the packet priority
      */
     PrioQueueDiscTestItem(Ptr<Packet> p, const Address& addr, uint8_t priority);
     void AddHeader() override;
@@ -62,9 +62,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Prio Queue Disc Test Packet Filter
+ * @brief Prio Queue Disc Test Packet Filter
  */
 class PrioQueueDiscTestFilter : public PacketFilter
 {
@@ -72,14 +72,14 @@
     /**
      * Constructor
      *
-     * \param cls whether this filter is able to classify a PrioQueueDiscTestItem
+     * @param cls whether this filter is able to classify a PrioQueueDiscTestItem
      */
     PrioQueueDiscTestFilter(bool cls);
     ~PrioQueueDiscTestFilter() override;
     /**
-     * \brief Set the value returned by DoClassify
+     * @brief Set the value returned by DoClassify
      *
-     * \param ret the value that DoClassify returns
+     * @param ret the value that DoClassify returns
      */
     void SetReturnValue(int32_t ret);
 
@@ -120,9 +120,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Prio Queue Disc Test Case
+ * @brief Prio Queue Disc Test Case
  */
 class PrioQueueDiscTestCase : public TestCase
 {
@@ -303,9 +303,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Prio Queue Disc Test Suite
+ * @brief Prio Queue Disc Test Suite
  */
 static class PrioQueueDiscTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/queue-disc-traces-test-suite.cc ns-3.44/src/traffic-control/test/queue-disc-traces-test-suite.cc
--- ns-3.43/src/traffic-control/test/queue-disc-traces-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/queue-disc-traces-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -18,9 +18,9 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Queue Disc Test Item
+ * @brief Queue Disc Test Item
  */
 class QdTestItem : public QueueDiscItem
 {
@@ -28,8 +28,8 @@
     /**
      * Constructor
      *
-     * \param p the packet
-     * \param addr the address
+     * @param p the packet
+     * @param addr the address
      */
     QdTestItem(Ptr<Packet> p, const Address& addr);
     ~QdTestItem() override;
@@ -58,9 +58,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test Child Queue Disc that may drop packets before enqueue or after dequeue
+ * @brief Test Child Queue Disc that may drop packets before enqueue or after dequeue
  */
 class TestChildQueueDisc : public QueueDisc
 {
@@ -128,9 +128,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test Parent Queue Disc having a child of type TestChildQueueDisc
+ * @brief Test Parent Queue Disc having a child of type TestChildQueueDisc
  */
 class TestParentQueueDisc : public QueueDisc
 {
@@ -182,9 +182,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Keep statistics based on traces
+ * @brief Keep statistics based on traces
  */
 class TestCounter
 {
@@ -197,31 +197,31 @@
 
     /**
      * Connect private methods to the queue disc traces
-     * \param qd the queue disc
+     * @param qd the queue disc
      */
     void ConnectTraces(Ptr<QueueDisc> qd);
 
   private:
     /**
      * Update statistics after a packet has been enqueued
-     * \param item the enqueued packet
+     * @param item the enqueued packet
      */
     void PacketEnqueued(Ptr<const QueueDiscItem> item);
     /**
      * Update statistics after a packet has been dequeued
-     * \param item the dequeued packet
+     * @param item the dequeued packet
      */
     void PacketDequeued(Ptr<const QueueDiscItem> item);
     /**
      * Update statistics after a packet has been dropped before enqueue
-     * \param item the dropped packet
-     * \param reason the reason why the packet was dropped
+     * @param item the dropped packet
+     * @param reason the reason why the packet was dropped
      */
     void PacketDbe(Ptr<const QueueDiscItem> item, const char* reason);
     /**
      * Update statistics after a packet has been dropped after dequeue
-     * \param item the dropped packet
-     * \param reason the reason why the packet was dropped
+     * @param item the dropped packet
+     * @param reason the reason why the packet was dropped
      */
     void PacketDad(Ptr<const QueueDiscItem> item, const char* reason);
 
@@ -288,9 +288,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Queue Disc Traces Test Case
+ * @brief Queue Disc Traces Test Case
  *
  * This test case makes use of a test queue disc acting as root queue disc and
  * having a single child queue disc, which has a single DropTail queue. The
@@ -310,23 +310,23 @@
 
     /**
      * Check that queued packets/bytes are consistent with what is expected
-     * \param qd the queue disc
-     * \param nPackets the expected number of packets
-     * \param nBytes the expected number of bytes
+     * @param qd the queue disc
+     * @param nPackets the expected number of packets
+     * @param nBytes the expected number of bytes
      */
     void CheckQueued(Ptr<QueueDisc> qd, uint32_t nPackets, uint32_t nBytes);
     /**
      * Check that packets/bytes dropped before enqueue are consistent with what is expected
-     * \param qd the queue disc
-     * \param nDbePackets the expected number of packets
-     * \param nDbeBytes the expected number of bytes
+     * @param qd the queue disc
+     * @param nDbePackets the expected number of packets
+     * @param nDbeBytes the expected number of bytes
      */
     void CheckDroppedBeforeEnqueue(Ptr<QueueDisc> qd, uint32_t nDbePackets, uint32_t nDbeBytes);
     /**
      * Check that packets/bytes dropped after dequeue are consistent with what is expected
-     * \param qd the queue disc
-     * \param nDadPackets the expected number of packets
-     * \param nDadBytes the expected number of bytes
+     * @param qd the queue disc
+     * @param nDadPackets the expected number of packets
+     * @param nDadBytes the expected number of bytes
      */
     void CheckDroppedAfterDequeue(Ptr<QueueDisc> qd, uint32_t nDadPackets, uint32_t nDadBytes);
 
@@ -573,9 +573,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Queue Disc Traces Test Suite
+ * @brief Queue Disc Traces Test Suite
  */
 static class QueueDiscTracesTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/red-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/red-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/red-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/red-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -20,9 +20,9 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Red Queue Disc Test Item
+ * @brief Red Queue Disc Test Item
  */
 class RedQueueDiscTestItem : public QueueDiscItem
 {
@@ -30,9 +30,9 @@
     /**
      * Constructor
      *
-     * \param p packet
-     * \param addr address
-     * \param ecnCapable ECN capable flag
+     * @param p packet
+     * @param addr address
+     * @param ecnCapable ECN capable flag
      */
     RedQueueDiscTestItem(Ptr<Packet> p, const Address& addr, bool ecnCapable);
 
@@ -66,9 +66,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Red Queue Disc Test Case
+ * @brief Red Queue Disc Test Case
  */
 class RedQueueDiscTestCase : public TestCase
 {
@@ -79,15 +79,15 @@
   private:
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
-     * \param ecnCapable ECN capable flag
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
+     * @param ecnCapable ECN capable flag
      */
     void Enqueue(Ptr<RedQueueDisc> queue, uint32_t size, uint32_t nPkt, bool ecnCapable);
     /**
      * Run RED test function
-     * \param mode the mode
+     * @param mode the mode
      */
     void RunRedTest(QueueSizeUnit mode);
 };
@@ -603,9 +603,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Red Queue Disc Test Suite
+ * @brief Red Queue Disc Test Suite
  */
 static class RedQueueDiscTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/tbf-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/tbf-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/tbf-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/tbf-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -25,9 +25,9 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Tbf Queue Disc Test Item
+ * @brief Tbf Queue Disc Test Item
  */
 class TbfQueueDiscTestItem : public QueueDiscItem
 {
@@ -35,8 +35,8 @@
     /**
      * Constructor
      *
-     * \param p the packet
-     * \param addr the address
+     * @param p the packet
+     * @param addr the address
      */
     TbfQueueDiscTestItem(Ptr<Packet> p, const Address& addr);
     ~TbfQueueDiscTestItem() override;
@@ -71,9 +71,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Tbf Queue Disc Test Case
+ * @brief Tbf Queue Disc Test Case
  */
 class TbfQueueDiscTestCase : public TestCase
 {
@@ -84,23 +84,23 @@
   private:
     /**
      * Enqueue function
-     * \param queue the queue disc into which enqueue needs to be done
-     * \param dest the destination address
-     * \param size the size of the packet in bytes to be enqueued
+     * @param queue the queue disc into which enqueue needs to be done
+     * @param dest the destination address
+     * @param size the size of the packet in bytes to be enqueued
      */
     void Enqueue(Ptr<TbfQueueDisc> queue, Address dest, uint32_t size);
     /**
      * DequeueAndCheck function to check if a packet is blocked or not after dequeuing and verify
      * against expected result
-     * \param queue the queue disc on which DequeueAndCheck needs to be done
-     * \param flag the boolean value against which the return value of dequeue ()
+     * @param queue the queue disc on which DequeueAndCheck needs to be done
+     * @param flag the boolean value against which the return value of dequeue ()
      * has to be compared with
-     * \param printStatement the string to be printed in the NS_TEST_EXPECT_MSG_EQ
+     * @param printStatement the string to be printed in the NS_TEST_EXPECT_MSG_EQ
      */
     void DequeueAndCheck(Ptr<TbfQueueDisc> queue, bool flag, std::string printStatement);
     /**
      * Run TBF test function
-     * \param mode the mode
+     * @param mode the mode
      */
     void RunTbfTest(QueueSizeUnit mode);
 };
@@ -283,7 +283,7 @@
     double delay = 0.09;
     for (uint32_t i = 1; i <= nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &TbfQueueDiscTestCase::Enqueue,
                             this,
                             queue,
@@ -293,7 +293,7 @@
     delay = 0.1;
     for (uint32_t i = 1; i <= nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &TbfQueueDiscTestCase::DequeueAndCheck,
                             this,
                             queue,
@@ -361,7 +361,7 @@
     delay = 0.09;
     for (uint32_t i = 1; i <= nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &TbfQueueDiscTestCase::Enqueue,
                             this,
                             queue,
@@ -373,7 +373,7 @@
     {
         if (i == 10)
         {
-            Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+            Simulator::Schedule(Seconds((i + 1) * delay),
                                 &TbfQueueDiscTestCase::DequeueAndCheck,
                                 this,
                                 queue,
@@ -382,7 +382,7 @@
         }
         else
         {
-            Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+            Simulator::Schedule(Seconds((i + 1) * delay),
                                 &TbfQueueDiscTestCase::DequeueAndCheck,
                                 this,
                                 queue,
@@ -457,7 +457,7 @@
     delay = 0.04;
     for (uint32_t i = 1; i <= nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &TbfQueueDiscTestCase::Enqueue,
                             this,
                             queue,
@@ -527,9 +527,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Tbf Queue Disc Test Suite
+ * @brief Tbf Queue Disc Test Suite
  */
 static class TbfQueueDiscTestSuite : public TestSuite
 {
